import { createRouter, createWebHistory } from "vue-router";
import BucketsView from "../views/BucketsView.vue";

const router = createRouter({
  history: createWebHistory(import.meta.env.BASE_URL),
  routes: [
    {
      path: "/object-storage/buckets",
      name: "buckets",
      component: BucketsView,
    },
    {
      path: "/object-storage/s3-keys",
      name: "about",
      // route level code-splitting
      // this generates a separate chunk (About.[hash].js) for this route
      // which is lazy-loaded when the route is visited.
      component: () => import("../views/S3KeysView.vue"),
    },
    {
      path: "/",
      redirect: { name: "buckets" },
    },
  ],
});

export default router;
